[SciPy-user] problem building svn scipy

Damian Eads eads@soe.ucsc....
Fri Apr 25 21:30:24 CDT 2008


Damian Eads wrote:
> Robert Kern wrote:
>> On Fri, Apr 25, 2008 at 8:20 PM, Damian Eads <eads@soe.ucsc.edu> wrote:
>>>  For some reason, the options -fstack-protector, -mtune=generic are being
>>>  inserted in the gcc command. I have a hunch this is an error may be
>>>  caused by the distutils that comes bundled with Fedora's Python 2.5,
>>>  which was probably compiled with gcc 4.1.2.
>> Quite probably, yes. I don't recommend trying to build extensions with
>> gcc 3.4 when your Python is gcc 4.1.
> 
> Does this mean I should build python with gcc34? Set my environment 
> variables appropriately and then try compiling numpy and scipy from source?
> 
> Damian

I've just built python with gcc34. I will now try compiling numpy and 
scipy. Stay tuned.

Damian


More information about the SciPy-user mailing list